#
# spec file for package python-zunclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-zunclient
Version:        3.3.0
Release:        1.10
Summary:        Client Library for OpenStack Containers service
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/python-zunclient
Source0:        https://files.pythonhosted.org/packages/source/p/python-zunclient/python-zunclient-3.3.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-ddt
BuildRequires:  python2-docker
BuildRequires:  python2-fixtures
BuildRequires:  python2-mock
BuildRequires:  python2-openstackclient
BuildRequires:  python2-osc-lib
BuildRequires:  python2-oslo.log
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-python-subunit
BuildRequires:  python2-testrepository
BuildRequires:  python2-testresources
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python2-websocket-client
BuildRequires:  python3-ddt
BuildRequires:  python3-devel
BuildRequires:  python3-docker
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-openstackclient
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo.log
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-python-subunit
BuildRequires:  python3-testrepository
BuildRequires:  python3-testresources
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-websocket-client
Requires:       python-PrettyTable
Requires:       python-PyYAML
Requires:       python-docker
Requires:       python-keystoneauth1
Requires:       python-openstackclient
Requires:       python-osc-lib
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.utils
Requires:       python-websocket-client
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
Client library and command line utility for interacting with Openstack
Containers API.

%package -n python-zunclient-doc
Summary:        Documentation for OpenStack Containers API Client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-zunclient-doc
Client library and command line utility for interacting with Openstack
Containers API.
This package contains auto-generated documentation.

%prep
%autosetup -p1 -n python-zunclient-3.3.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

PBR_VERSION=3.3.0 sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}
# bash completion
install -p -D -m 644 tools/zun.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/zun.bash_completion
%python_clone -a %{buildroot}%{_bindir}/zun
%python_clone -a %{buildroot}%{_sysconfdir}/bash_completion.d/zun.bash_completion

%post
%{python_install_alternative zun %{_sysconfdir}/bash_completion.d/zun.bash_completion}

%postun
%python_uninstall_alternative zun

%check
%{python_expand rm -rf .testrepository
export OS_TEST_PATH=./zunclient/tests/unit/
# we dont want to depend on Tempest so remove the relevant tests
rm -f zunclient/tests/unit/test_shell.py
rm -f zunclient/tests/unit/test_functional_utils.py
rm -rf zunclient/tests/functional
$python setup.py testr
}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/zunclient
%{python_sitelib}/*.egg-info
%python_alternative %{_bindir}/zun
%python_alternative %{_sysconfdir}/bash_completion.d/zun.bash_completion

%files -n python-zunclient-doc
%license LICENSE
%doc doc/build/html

%changelog
